package cn.com.tenlion.systembase.controller.route.school;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: SchoolController
 * @Description: 学校
 * @Author: CodeFactory
 * @Date: 2021-10-12 17:11:37
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "学校路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/school")
public class SchoolRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("school/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("school/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("school/list");
    }

}